{
  config,
  lib,
  namespace,
  ...
}:
with lib;
let
  cfg = config.${namespace}.programs.mako;
in
{
  imports = [ ./options.nix ];
  config = mkIf cfg.enable {
    services.mako = {
      enable = true;
      settings = {
        font = mkDefault cfg.fontName;
        icons = true;
        ignore-timeout = true;
        sort = "-time";
        width = 500;
        height = 110;
        layer = "overlay";
        border-radius = 15;
        border-size = 1;
        max-icon-size = 64;
        default-timeout = 5000;

        # background-color = mkDefault config.lib.stylix.colors.base00;
        # text-color = mkDefault config.lib.stylix.colors.base06;
        # border-color = mkDefault config.lib.stylix.colors.base0F;
        # progress-color = mkDefault "over ${config.lib.stylix.colors.base0C}";
      };
    };
  };
}
